CUT(1)

NAME
cut - dissects files by field

SYNOPSIS
cut [ d=C ] [ od=C ] [ c=range ] [ f=range ] [ -nod ] [ -s ] [ file ]

DESCRIPTION
Cut isolates specified columns or fields of a file, or standard input if no file is specified, and reorders them to standard output.

Cut assumes that the input file is divided into columns of characters or fields separated by tabs. You can, however, specify other single character delimiters with the d=C option.

Cut writes its result to standard output with either the default tab or the specified delimiter character, specified with the od=C option.

OPTIONS

d=C C (a single character) specifies input delimiter (default character is TAB, \t).

od=C
    C (a single character) specifies output delimiter (default character is TAB, \t).

c=range
    Specifies the character position to extract. Character positions can be specified individually, by ranges or both, e.g., c=1,2 or c=1-3,5,7-9. Character positions are numbered beginning with 1.

f=range
    Specifies field number to extract. Fields can be specified individually or in ranges as with c=range. Fields are numbered beginning with 1.

-nod
    Suppress output delimiter when cutting by fields. Cutting by columns never has an output delimiter.

-s  Suppresses lines without the delimiter. This option is mutually exclusive to character specification.

NOTES
none